<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_c0f286e93ebdcaa427b44ec2" . "9413392b" => base64_decode("ZmVlZF9rZ" . "Xk="), "_aa7e860da1acd4e767e0d" . "f9d7d407380" => base64_decode("ZGF0ZV9jcmVhd" . "GVk"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "tit" . "le" => base64_decode("dG" . "l0" . "bG" . "U="), "channel" . "s" => base64_decode("Y2hhbm5" . "lbHM="), "_49c48a113fcc4b94b82e29" . "c74e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3RyOmtl" . "eQ=="), "_022eeb17ad2461a7" . "72886fe0f5575520" => base64_decode("Y3JlYX" . "Rvcg=="), "_4cabd5d" . "7713c30b" . "34f152bc" . "a7e16cd6" . "c" => base64_decode("bmV3" . "c19m" . "ZWVk" . "cw=="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_49c48a113fcc" . "4b94b82e29c74" . "e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4cabd5d7713c30b34f152bc" . "a7e16cd6c"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["titl" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["cha" . "nne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c0f286e93ebdcaa427b44" . "ec29413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_aa7e860da1acd4e767e0df9d7d4" . "07380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_022eeb17ad2461a772" . "886fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}